planet.wikimedia.org: replace planet-venus software with rawdog
Closed, ResolvedPublic

Description

As a requirement for upgrading planet instances to stretch in T168490 we need to replace the planet-venus software because doesn't exist in stretch anymore.

The new alternative in stretch is rawdog.

The planet puppet modules has already been updated to automatically install and configure rawdog if on stretch.

Feeds are currently duplicated in puppet/modules/planet/templates/feeds_rawdog/

There is a labs instance using the (prod) role on stretch at http://planet-hotdog.wmflabs.org/

It needs some work on design / CSS and a fresh logo.


This part by Paladox:

Checklist on things we want to do before we make the switch:

Dzahn created this task.Nov 14 2017, 4:59 PM
Dzahn updated the task description. (Show Details)Nov 14 2017, 5:03 PM
Paladox updated the task description. (Show Details)Nov 14 2017, 5:04 PM
Paladox updated the task description. (Show Details)Nov 14 2017, 5:06 PM
Dzahn removed Dzahn as the assignee of this task.Nov 14 2017, 5:07 PM
Dzahn updated the task description. (Show Details)Nov 14 2017, 5:10 PM

Change 391289 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] planet: add Wikimedia Community Logo to rawdog style

https://gerrit.wikimedia.org/r/391289

Dzahn updated the task description. (Show Details)Nov 14 2017, 8:29 PM

Change 391289 merged by Dzahn:
[operations/puppet@production] planet: add Wikimedia Community Logo to rawdog style

https://gerrit.wikimedia.org/r/391289

Change 391323 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] planet: turn off day/time sections in rawdog style

https://gerrit.wikimedia.org/r/391323

Change 391323 merged by Dzahn:
[operations/puppet@production] planet: turn off day/time sections in rawdog style

https://gerrit.wikimedia.org/r/391323

Paladox updated the task description. (Show Details)Nov 19 2017, 10:22 PM

Change 389498 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] planet: Improve look and configuation updates

https://gerrit.wikimedia.org/r/389498

Change 389498 merged by Dzahn:
[operations/puppet@production] planet: Improve look and configuation updates

https://gerrit.wikimedia.org/r/389498

Change 435218 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] Planet: Replace rss20.xml with atom.xml (backwards compat filename)

https://gerrit.wikimedia.org/r/435218

Change 435327 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] Planet: Redesgn UI for rawdog

https://gerrit.wikimedia.org/r/435327

Paladox updated the task description. (Show Details)May 28 2018, 11:18 PM

Change 435218 abandoned by Paladox:
Planet: Replace rss20.xml with atom.xml (backwards compat filename)

Reason:
This is not atom format so we need to use rss20.

Which supports atom readers i think?

https://gerrit.wikimedia.org/r/435218

Change 435327 merged by Dzahn:
[operations/puppet@production] Planet: Redesign UI for rawdog, add theme files

https://gerrit.wikimedia.org/r/435327

Dzahn added a comment.May 29 2018, 9:40 PM

rawdog.py on stretch after applying " patch < rawdog-2.22-patch-multiple-pages-paladox1-unified.diff " from P177

https://phab.wmfusercontent.org/file/data/57f2wefz2r26hfqd4wsh/PHID-FILE-5jxmx4pwmdgrey77nr7h/file

Dzahn added a comment.May 29 2018, 9:57 PM

PS2: amended to

This is the PS3 amended version that works:

Mentioned in SAL (#wikimedia-operations) [2018-05-30T01:08:26Z] <mutante> built added rawdog_2.22-1-wmf1 to apt.wikimedia.org, upgraded rawdog on planet2001. Unpacking rawdog (2.22-1-wmf1) over (2.22-1) (T180498)

Change 436416 had a related patch set uploaded (by Dzahn; owner: Paladox):
[operations/puppet@production] Planet: Redirect atom.xml to rss20.xml

https://gerrit.wikimedia.org/r/436416

Change 436416 merged by Dzahn:
[operations/puppet@production] Planet: Redirect atom.xml to rss20.xml

https://gerrit.wikimedia.org/r/436416

Dzahn added a comment.May 31 2018, 1:35 AM

The backend of planet in misc-varnish has been switched to planet2001 which is on stretch and uses rawdog.

Updates ran.. Some fixes have been applied.

A list to wikitech-l has been sent announcing the new software.

Paladox updated the task description. (Show Details)May 31 2018, 1:39 AM
Paladox updated the task description. (Show Details)
Paladox closed this task as Resolved.

Change 436580 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] planet: rm planet-venus feed templates, rename feeds_rawdog to feeds

https://gerrit.wikimedia.org/r/436580

Change 436589 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] planet: remove jessie support and venus references

https://gerrit.wikimedia.org/r/436589

Change 436580 merged by Dzahn:
[operations/puppet@production] planet: rm planet-venus feed templates, rename feeds_rawdog to feeds

https://gerrit.wikimedia.org/r/436580

Change 436589 merged by Dzahn:
[operations/puppet@production] planet: remove jessie support and venus references

https://gerrit.wikimedia.org/r/436589

Dzahn added a subscriber: Johan.Jun 7 2018, 8:04 PM

@Johan Let me add this comment from T168490

done. planet is served again from both data centers at once. planet1001 and planet2001 are both on stretch and use rawdog. planet-venus has been decom'ed for being unmaintained upstream

Change 447746 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] planet: drop feed templates for planet-venus/jessie

https://gerrit.wikimedia.org/r/447746

Change 447746 merged by Dzahn:
[operations/puppet@production] planet: drop feed templates for planet-venus/jessie

https://gerrit.wikimedia.org/r/447746